aboutsummaryrefslogtreecommitdiff
path: root/docker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash
diff options
context:
space:
mode:
authorcrupest <crupest@outlook.com>2024-08-13 23:33:42 +0800
committercrupest <crupest@outlook.com>2024-08-14 00:29:09 +0800
commit7f3a72fd3c12967f1f330de51b123f23990aaf6b (patch)
treebebf1970dc09b20df1000702d8d6cf77bcbc45c5 /docker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash
parent8fe3578e17757a50f8285a2759c6b149fe85a0b0 (diff)
downloadcrupest-7f3a72fd3c12967f1f330de51b123f23990aaf6b.tar.gz
crupest-7f3a72fd3c12967f1f330de51b123f23990aaf6b.tar.bz2
crupest-7f3a72fd3c12967f1f330de51b123f23990aaf6b.zip
refactor(docker/debian-dev): rename debian-dev to crupest-debian-dev.
Diffstat (limited to 'docker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash')
-rwxr-xr-xdocker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash7
1 files changed, 7 insertions, 0 deletions
diff --git a/docker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash b/docker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash
new file mode 100755
index 0000000..fae082a
--- /dev/null
+++ b/docker/crupest-debian-dev/bootstrap/apt-source/replace-http.bash
@@ -0,0 +1,7 @@
+#! /usr/bin/env bash
+
+set -e
+
+echo "Backup /etc/apt/sources.list to /etc/apt/sources.list.bak."
+echo "Replace http to https in /etc/apt/sources.list."
+sed -i.bak 's/https\?/https/' /etc/apt/sources.list